TenantControllerQueryTenants Method |
POST /Tenant/Query/
Gets the tenants with the given information.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Query")]
public HttpResponseMessage QueryTenants(
[FromBodyAttribute] GetTenantsOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Query")>
Public Function QueryTenants (
<FromBodyAttribute> options As GetTenantsOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Query")]
HttpResponseMessage^ QueryTenants(
[FromBodyAttribute] GetTenantsOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Query")>]
member QueryTenants :
[<FromBodyAttribute>] options : GetTenantsOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetTenantsOptions
An object that carries all needed information about the tenants that needs to be retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
An array of
TenantData objects, or a status code indicating the problem.
See Also